#include <dos.h>

//  Parameters are passed in through a structure.
void set_pos(struct set_pos *pos)
   {
   unsigned char page;
   unsigned char row;
   unsigned char col;

   // Pointer to structures are not accessible in
   //  in-line assembler... load local varaibles.
   page = pos->page;
   row  = pos->crow;
   col  = pos->ccol;

   // Drop into assebler to load registers and issue
   //  interrupt.
   _asm
      {
      mov 	ah, 2
      mov 	bh, page
      mov 	dh, row
      mov 	dl, col
      int 	0x10
      }

   return;
   }

